%define	module	CDDB_get
%define name	perl-%{module}
%define version 2.23
%define release 2mdk

Summary:	Read the CDDB entry for an audio CD in your drive	
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://www.cpan.org/
Source0:	%{module}-%{version}.tar.bz2
#Requires:	perl
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module/script gets the CDDB info for an audio cd.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/cddb.pl
%{perl_vendorlib}/auto/CDDB_get
%{perl_vendorlib}/CDDB_get.pm
%{perl_vendorlib}/cddb.pl
%{_mandir}/*/*

%changelog
* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.23-2mdk
- rebuild

* Mon May 31 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.23-1mdk
- 2.23
- cosmetics

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.66-5mdk
- Better summary/description
- Macroize
- %%makeinstall_std
- remove rm buildroot in %%prep

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.66-4mdk
- rebuild for new auto{prov,req}

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.66-3mdk
- build release

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.66-2mdk
- switch to noarch
- rebuild for perl 5.8.0

* Mon Nov 26 2001 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.66-1mdk
- initial cooker contrib
